## com.thingmagic
Class Gen2.TagReadData

    java.lang.Object
      com.thingmagic.Gen2.TagReadData

Enclosing class:
  Gen2

    public static class Gen2.TagReadData

extends java.lang.Object

A class to represent the gen2 specific data from tag response containing parameters like q, target and link frequency.

Field Summary
`Gen2.LinkFrequency` `lf`
`Gen2.StaticQ` `q`
`Gen2.Target` `target`

Method Summary
`Gen2.LinkFrequency` `getGen2LF()` Return the gen2Link frequency of the tag
`Gen2.StaticQ` `getGen2Q()` Return the gen2Q of the tag
`Gen2.Target` `getGen2Target()` Return the Target of the tag

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### q

    public Gen2.StaticQ q

### target

    public Gen2.Target target

### lf

    public Gen2.LinkFrequency lf

Method Detail

### getGen2Q

    public Gen2.StaticQ getGen2Q()

  Return the gen2Q of the tag

  Returns:
    the Q

### getGen2LF

    public Gen2.LinkFrequency getGen2LF()

  Return the gen2Link frequency of the tag

  Returns:
    the Gen2 Link frequency

### getGen2Target

    public Gen2.Target getGen2Target()

  Return the Target of the tag

  Returns:
    the Target